- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axiom_node.h File Reference

defines axiom_node struct More...

`#include <axutil_env.h>`
`#include <axutil_utils.h>`

Go to the source code of this file.

## Typedefs
typedef struct axiom_node | axiom_node_t
## Enumerations
enum | axiom_types_t { AXIOM_INVALID = 0, AXIOM_DOCUMENT, AXIOM_ELEMENT, AXIOM_DOCTYPE, AXIOM_COMMENT, AXIOM_ATTRIBUTE, AXIOM_NAMESPACE, AXIOM_PROCESSING_INSTRUCTION, AXIOM_TEXT, AXIOM_DATA_SOURCE }
| AXIOM types. More...
## Functions
AXIS2_EXTERN axiom_node_t * | axiom_node_create (const axutil_env_t *env)
AXIS2_EXTERN axiom_node_t * | axiom_node_create_from_buffer (const axutil_env_t *env, axis2_char_t *buffer)
AXIS2_EXTERN void | axiom_node_free_tree (axiom_node_t *om_node, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_node_add_child (axiom_node_t *om_node, const axutil_env_t *env, axiom_node_t *child)
AXIS2_EXTERN axiom_node_t * | axiom_node_detach (axiom_node_t *om_node, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_node_insert_sibling_after (axiom_node_t *om_node, const axutil_env_t *env, axiom_node_t *node_to_insert)
AXIS2_EXTERN axis2_status_t | axiom_node_insert_sibling_before (axiom_node_t *om_node, const axutil_env_t *env, axiom_node_t *node_to_insert)
AXIS2_EXTERN axis2_status_t | axiom_node_serialize (axiom_node_t *om_node, const axutil_env_t *env, struct axiom_output *om_output)
AXIS2_EXTERN axiom_node_t * | axiom_node_get_parent (axiom_node_t *om_node, const axutil_env_t *env)
AXIS2_EXTERN axiom_node_t * | axiom_node_get_first_child (axiom_node_t *om_node, const axutil_env_t *env)
AXIS2_EXTERN axiom_node_t * | axiom_node_get_first_element (axiom_node_t *om_node, const axutil_env_t *env)
AXIS2_EXTERN axiom_node_t * | axiom_node_get_last_child (axiom_node_t *om_node, const axutil_env_t *env)
AXIS2_EXTERN axiom_node_t * | axiom_node_get_previous_sibling (axiom_node_t *om_node, const axutil_env_t *env)
AXIS2_EXTERN axiom_node_t * | axiom_node_get_next_sibling (axiom_node_t *om_node, const axutil_env_t *env)
AXIS2_EXTERN axiom_types_t | axiom_node_get_node_type (axiom_node_t *om_node, const axutil_env_t *env)
AXIS2_EXTERN void * | axiom_node_get_data_element (axiom_node_t *om_node, const axutil_env_t *env)
AXIS2_EXTERN axis2_bool_t | axiom_node_is_complete (axiom_node_t *om_node, const axutil_env_t *env)
AXIS2_EXTERN struct axiom_document * | axiom_node_get_document (axiom_node_t *om_node, const axutil_env_t *env)
AXIS2_EXTERN axis2_char_t * | axiom_node_to_string (axiom_node_t *om_node, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_node_serialize_sub_tree (axiom_node_t *om_node, const axutil_env_t *env, struct axiom_output *om_output)
AXIS2_EXTERN axis2_char_t * | axiom_node_sub_tree_to_string (axiom_node_t *om_node, const axutil_env_t *env)
AXIS2_EXTERN axis2_char_t * | axiom_node_to_string_non_optimized (axiom_node_t *om_node, const axutil_env_t *env)

## Detailed Description

defines axiom_node struct